Go to the latest version of this document.

# ``twisted`.`words`.`im`.`interfaces`.`IGroupConversation``

interface documentation

`class IGroupConversation(Interface): (source)`

View In Hierarchy

Undocumented

Method | `hide` | nor this neither.
Method | `memberChangedNick` | Changes the oldnick in the list of members to `newnick` and displays this change to the user,
Method | `memberJoined` | Adds the given member to the list of members in the group conversation and displays this to the user,
Method | `memberLeft` | Deletes the given member from the list of members in the group conversation and displays the change to the user.
Method | `sendText` | Undocumented
Method | `setGroupMembers` | Sets the list of members in the group and displays it to the user.
Method | `setTopic` | Displays the topic (from the server) for the group conversation window.
Method | `show` | doesn't seem like it belongs in this interface.
Method | `showGroupMessage` | Undocumented

def hide(): (source)

nor this neither.

def memberChangedNick(oldnick, newnick): (source)

Changes the oldnick in the list of members to `newnick` and displays this change to the user,

Parameters
oldnick:string (XXX: Not Person?) | Undocumented
newnick:string | Undocumented

def memberJoined(member): (source)

Adds the given member to the list of members in the group conversation and displays this to the user,

Parameters
member:string (XXX: Not Person?) | Undocumented

def memberLeft(member): (source)

Deletes the given member from the list of members in the group conversation and displays the change to the user.

Parameters
member:string (XXX: Not Person?) | Undocumented

def sendText(text, metadata): (source)

Undocumented

def setGroupMembers(members): (source)

Sets the list of members in the group and displays it to the user.

def setTopic(topic, author): (source)

Displays the topic (from the server) for the group conversation window.

Parameters
topic:string | Undocumented
author:string (XXX: Not Person?) | Undocumented

def show(): (source)

doesn't seem like it belongs in this interface.

def showGroupMessage(sender, text, metadata): (source)

Undocumented